//     *************************
//	Sample IDA config file.		Created 17-Jul-91 by Guilfanov I.
//     *************************

//
//	#include's are allowed.
//
//	You can use C-like constants in this file.
//
//

/***********************************************************
 *	Global Parameters				   *
 *	-----------------				   *
 ***********************************************************/

ASCII_PREFIX	=	"m_"			// Prefix for new ASCII strings
NAME_LENGTH	=	32			// Maximal length of new names

OUTPUT		=	""			// Default path for Output
						// Files (asm,map,exe)

AUTOSAVE	=	16			// Flush buffers after
						// 16 actions

EDITOR		=	"c:\\brief\\exe\\b.exe"	// BRIEF is the default editor

//
// Swapping into extended/expanded memory.
// Only IDA itself will be overlayed, not its data.
//

SWAP_EXTENDED	=	256			// unit = 1 Kb
SWAP_EXPANDED	=	16			// unit = 16 Kb

/***********************************************************
 *	Screen Colors					   *
 *	-------------					   *
 *							   *
 *  10.5.93	The color definitions don't work	   *
 *		for the moment.				   *
 *							   *
 ***********************************************************/

	/* dark colors */		/* light colors */

// 0	BLACK,			8	DARKGRAY,
// 1	BLUE,			9	LIGHTBLUE,
// 2	GREEN,			a	LIGHTGREEN,
// 3	CYAN,			b	LIGHTCYAN,
// 4	RED,			c	LIGHTRED,
// 5	MAGENTA,		d	LIGHTMAGENTA,
// 6	BROWN,			e	YELLOW,
// 7	LIGHTGRAY,		f	WHITE

TEXT_COLOR	        =	0x17		// LightGray on Blue
TEXT_REV_COLOR		=	0x70		// Black on LightGray
WARNING_COLOR		=	0x2F		// White on Green
ERROR_COLOR	        =	0x4F		// White on Red
LIST_NORMAL_COLOR    	=	0x0E		// Yellow on Black
LIST_HIGH_COLOR		=	0x1F		// White on Blue
STATUS_COLOR	        =	0x17		// LightGray on Blue
INDICATOR_COLOR		=	0x40		// Black on Red
MENU_NORMAL_COLOR	=	0x70		// Black on LightGray
MENU_HIGH_COLOR		=	0x0F		// White on Black
ASK_COLOR		=	0x1F		// White on Blue

/***********************************************************/
/*	Keyboard definitions				   */
/*	--------------------				   */
/***********************************************************/

"Execute"		=	"F2"
"ExecuteLine"		=	"Shift-F2"
"Flush"			=	0
"Wait"			=	0
"Shell"			=	"Alt-Z"
"Repaint"		=	0
"Quit"			=	"Alt-X"

"ProduceMap"		=	"Shift-F10"
"ProduceAsm"		=	"Alt-F10"
"ProduceLst"		=	0
"ProduceExe"		=	"Ctrl-F10"
"Unload"		=	"Ctrl-F2"

"JumpAsk"		=	"Ctrl-G"
"JumpName"		=	"Ctrl-L"
"JumpSegment"		=	"Ctrl-S"
"JumpSegmentRegister"	=	"Ctrl-R"
"JumpQ"			=	"Ctrl-Q"
"JumpPosition"		=	"Ctrl-P"

"Return"		=	"Esc"

"SetDirection"		=	"Tab"
"MarkPosition"		=	"Alt-P"

"JumpVoid"		=	"Ctrl-V"
"JumpCode"		=	"Ctrl-C"
"JumpData"		=	"Ctrl-D"
"JumpProc"		=	"Ctrl-F"
"JumpUnknown"		=	"Ctrl-U"
"JumpDefined"		=	"Ctrl-A"
"AskNextImmediate"	=	"Alt-I"
"JumpImmediate"		=	"I"
"AskNextText"		=	"Alt-T"
"JumpText"		=	"Ctrl-T"
"AskBinaryText"		=	"Alt-B"
"JumpBinaryText"	=	"Ctrl-B"

"MakeJumpTable"		=	"Alt-J"
"Link"			=	'L'
"Unlink"		=	'U'

"MakeCode"	 	=	'C'
"MakeData"		=	'D'
"MakeAscii"		=	'A'
"MakeArray"		=	'*'
"MakeUnknown"		=	'U'

"SetAuto"		=	0
"SetLowLimit"		=	0
"SetHighLimit"		=	0
"SetAsciiBreak"		=	0
"SetAsciiEnd"		=	0
"SetAsciiStyle"		=	0
"SetDirection"		=	"Tab"
"SetTailDepth"		=	0

"MakeName"		=	'N'
"MakeProcedure"		=	'P'
"MakeEndOfProcedure"	=	'E'
"Alter1Operand"		=	"Alt-F1"
"Alter2Operand"		=	"Alt-F2"

"IncrementIndent"	=	0
"DecrementIndent"	=	0
"SetTabulations"	=	"Shift-Tab"

"MakeComment"		=	';'
"MakePredefinedComment"	=	"Shift-F1"

"MakeExtraLineA"	=	"Ins"
"MakeExtraLineB"	=	"Shift-Ins"
"DeleteExtraLineA"	=	"Del"
"DeleteExtraLineB"	=	"Shift-Del"

"IncrementCommentsIndent" =	0
"DecrementCommentsIndent" =	0

"MakeDecimal"		=	'H'
"MakeChar"		=	'R'
"MakeNumber"		=	'#'
"MakeVariable"		=	'V'
"MakeSegment"		=	'S'
"MakeOffset"		=	'O'
"MakeOffsetCs"		=	"Ctrl-O"
"MakeAnyOffset"		=	"Alt-R"

"CreateSegment"		=	0
"SegmentBounds"		=	0
"KillSegment"		=	0
"MoveSegment"		=	0
"RenameSegment"		=	"Alt-S"
"SegmentAddressing"	=	0
"SegmentClass"		=	0

"SegmentCombPrivate"	=	0
"SegmentCombPublic"	=	0
"SegmentCombCommon"	=	0
"SegmentCombStack"	=	0

"SegmentAlignAbs"	=	0
"SegmentAlignByte"	=	0
"SegmentAlignWord"	=	0
"SegmentAlignPara"	=	0
"SegmentAlignPage"	=	0
"SegmentAlignDble"	=	0

"SetSegmentRegister"	=	"Alt-D"
"SetSegmentRegisterDefault"	= 0

"ShowRegisters"		=	"Space"
"ShowSegmentRegisters"	=	0
"ShowSegments"		=	0
"ShowNames"		=	0

"PatchByte"		=	"Ctrl-E"
"PatchWord"		=	"Ctrl-W"

"ToggleCrossReferences"	=	'X'
"ToggleVoids"		=	0
"ToggleSillyComments"	=	0
"ToggleEmptyLines"	=	0
"ToggleBorders"		=	0
"ToggleAutoShow"	=	0
"TogglePrefixes"	=	0
"ToggleSegmentNames"	=	0	// use segment names in addresses
					// (instead of segment bases)

"ViewFile"		=	0
"Calculate"		=	'?'
"ShowFlags"		=	'F'

"WindowOpen"		=	"F3"
"WindowMove"		=	"Ctrl-F5"
"WindowZoom"		=	"F5"
"WindowPrev"		=	"Shift-F6"
"WindowNext"		=	"F6"
"WindowClose"		=	"Alt-F3"
"WindowTile"		=	"F7"
"WindowCascade"		=	"F8"

"SetProcessor8086"	=	0
"SetProcessor80286r"	=	0
"SetProcessor80286p"	=	0
"SetProcessor80386r"	=	0
"SetProcessor80386p"	=	0
"SetProcessor80486r"	=	0
"SetProcessor80486p"	=	0
"SetProcessor8085"	=	0
